# frozen_string_literal: true

require 'mkmf'
create_makefile('libv8-node')

require File.expand_path('location', __dir__)
location = Libv8::Node::Location::Vendor.new

if enable_config("system-libraries")
  raise unless have_header('v8stdint.h') and have_library('v8')
  library = Dir[File.join(RbConfig::CONFIG['libdir'], '**', 'libv8.so.*')].find {|x|File.file?(x)}
  FileUtils.ln_s(library, File.join(Dir.pwd, 'libv8.so'))
else
  exit location.install!
end
